<?php
/**
 * Checkout.com
 * Authorized and regulated as an electronic money institution
 * by the UK Financial Conduct Authority (FCA) under number 900816.
 *
 * PHP version 7
 *
 * @category  Magento2
 * @package   Checkout.com
 * @author    Platforms Development Team <platforms@checkout.com>
 * @copyright 2010-2019 Checkout.com
 * @license   https://opensource.org/licenses/mit-license.html MIT License
 * @link      https://docs.checkout.com/
 */
namespace CheckoutCom\Magento2\Model\Config\Backend\Source;

/**
 * Class ConfigOrderActionFailedPayment
 */
class ConfigOrderActionFailedPayment implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => 'cancel',
                'label' => __('Cancel the order')
            ],
            [
                'value' => 'delete',
                'label' => __('Delete the order')
            ],
            [
                'value' => 'pending',
                'label' => __('Do nothing')
            ]
        ];
    }
}
